MIROBO(1)

NAME

mirobo - A tool to command Xiaomi Vacuum robot.

SYNOPSIS
mirobo [OPTIONS] COMMAND [ARGS]...

DESCRIPTION

    A tool to command Xiaomi Vacuum robot.

OPTIONS

--ip TEXT

--token TEXT

-d, --debug

--id-file FILE

--version
    Show the version and exit.

--help
    Show this message and exit.

  Commands:

carpet-cleaning-mode
    Query or set the carpet cleaning/avoidance mode.

carpet-mode
    Query or set the carpet mode.

cleaning-history
    Query the cleaning history.

configure-wifi
    Configure the wifi settings.

consumables
    Return consumables status.

discover
    Search for robots in the network.

dnd Query and adjust do-not-disturb mode.

fanspeed
    Query and adjust the fan speed.

find
    Find the robot.

goto
    Go to specific target.

home
    Return home.

info
    Return device information.

install-sound
    Install a sound.

manual
    Control the robot manually.

map Return the map token.

pause
    Pause cleaning.

raw-command
    Run a raw command.

reset-consumable
    Reset consumable state.

serial-number
    Query serial number.

sound
    Query and change sound settings.

spot
    Start spot cleaning.

start
    Start cleaning.

status
    Returns the state information.

stop
    Stop cleaning.

timer
    List and modify existing timers.

timezone
    Query or set the timezone.

update-firmware
    Update device firmware.

update-status
    Return update state and progress.

zoned-clean
    Clean zone.